import { AbstractGossipLog, GossipLogInit } from "../AbstractGossipLog.js";
export declare class GossipLog<Payload> extends AbstractGossipLog<Payload> {
    static open<Payload>({ directory, ...init }: {
        directory?: string | null;
        clear?: boolean;
    } & GossipLogInit<Payload>): Promise<GossipLog<Payload>>;
    protected rebuildMerkleIndex(): Promise<void>;
}
